Functions

# glm::gtx::random Namespace Reference

GLM_GTX_random extension: Generate random number from varius distribution methods. More...

## Functions
template<typename T >
T | compRand1 ()
| Generate a random number in the interval [0, 1], according a linear distribution (From GLM_GTX_random extension)
template<>
float | compRand1 ()
| Generate a random number in the interval [0, 1], according a linear distribution (From GLM_GTX_random extension)
template<typename T >
T | compRand1 (T Min, T Max)
| Generate a random number in the interval [Min, Max], according a linear distribution (From GLM_GTX_random extension)
template<typename T >
detail::tvec2< T > | compRand2 (const detail::tvec2< T > &Min, const detail::tvec2< T > &Max)
| Generate 2 random numbers in the interval [Min, Max], according a linear distribution (From GLM_GTX_random extension)
template<typename T >
detail::tvec2< T > | compRand2 (T Min, T Max)
| Generate 2 random numbers in the interval [Min, Max], according a linear distribution (From GLM_GTX_random extension)
template<typename T >
detail::tvec3< T > | compRand3 (const detail::tvec3< T > &Min, const detail::tvec3< T > &Max)
| Generate 3 random numbers in the interval [Min, Max], according a linear distribution (From GLM_GTX_random extension)
template<typename T >
detail::tvec3< T > | compRand3 (T Min, T Max)
| Generate 3 random numbers in the interval [Min, Max], according a linear distribution (From GLM_GTX_random extension)
template<typename T >
detail::tvec3< T > | compRand4 (const detail::tvec4< T > &Min, const detail::tvec4< T > &Max)
| Generate 4 random numbers in the interval [Min, Max], according a linear distribution (From GLM_GTX_random extension)
template<typename T >
detail::tvec4< T > | compRand4 (T Min, T Max)
| Generate 4 random numbers in the interval [Min, Max], according a linear distribution (From GLM_GTX_random extension)
template<typename T >
T | gaussRand1 (T mean, T std_deviation)
| Gererate a random floating number according a Gauss distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec2< T > | gaussRand2 (T mean, const detail::tvec2< T > &std_deviation)
| Gererate 2 random floating numbers according a Gauss distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec2< T > | gaussRand2 (const detail::tvec2< T > &mean, const detail::tvec2< T > &std_deviation)
| Gererate 2 random floating numbers according a Gauss distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec2< T > | gaussRand2 (T mean, T std_deviation)
| Gererate 2 random floating numbers according a Gauss distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec2< T > | gaussRand2 (const detail::tvec2< T > &mean, T std_deviation)
| Gererate 2 random floating numbers according a Gauss distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec3< T > | gaussRand3 (T mean, const detail::tvec3< T > &std_deviation)
| Gererate 3 random floating numbers according a Gauss distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec3< T > | gaussRand3 (const detail::tvec3< T > &mean, const detail::tvec3< T > &std_deviation)
| Gererate 3 random floating numbers according a Gauss distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec3< T > | gaussRand3 (T mean, T std_deviation)
| Gererate 3 random floating numbers according a Gauss distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec3< T > | gaussRand3 (const detail::tvec3< T > &mean, T std_deviation)
| Gererate 3 random floating numbers according a Gauss distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec4< T > | gaussRand4 (const detail::tvec4< T > &mean, T std_deviation)
| Gererate 4 random floating numbers according a Gauss distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec4< T > | gaussRand4 (const detail::tvec4< T > &mean, const detail::tvec4< T > &std_deviation)
| Gererate 4 random floating numbers according a Gauss distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec4< T > | gaussRand4 (T mean, const detail::tvec4< T > &std_deviation)
| Gererate 4 random floating numbers according a Gauss distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec4< T > | gaussRand4 (T mean, T std_deviation)
| Gererate 4 random floating numbers according a Gauss distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec2< T > | normalizedRand2 ()
| Generate a normalized 2D vector regulary distribute on a circle (From GLM_GTX_random extension)
template<typename T >
detail::tvec2< T > | normalizedRand2 (T Min, T Max)
| Generate a scaled and normalized 2D vector regulary distribute on a circle (From GLM_GTX_random extension)
template<typename T >
detail::tvec3< T > | normalizedRand3 (T Min, T Max)
| Generate a scaled and normalized 3D vector regulary distribute on a sphere (From GLM_GTX_random extension)
template<typename T >
detail::tvec3< T > | normalizedRand3 ()
| Generate a normalized 3D vector regulary distribute on a sphere (From GLM_GTX_random extension)
template<typename T >
T | signedRand1 ()
| Generate a random number in the interval [-1, 1], according a linear distribution.
template<>
float | signedRand1 ()
| Generate a random number in the interval [-1, 1], according a linear distribution (From GLM_GTX_random extension)
template<typename T >
detail::tvec2< T > | signedRand2 ()
| Generate 2 random numbers in the interval [-1, 1], according a linear distribution (From GLM_GTX_random extension)
template<typename T >
detail::tvec3< T > | signedRand3 ()
| Generate 3 random numbers in the interval [-1, 1], according a linear distribution (From GLM_GTX_random extension)
template<typename T >
detail::tvec4< T > | signedRand4 ()
| Generate 4 random numbers in the interval [-1, 1], according a linear distribution (From GLM_GTX_random extension)
template<typename T >
detail::tvec2< T > | vecRand2 ()
| Generate a random normalized 2 component vector. It's a spherical uniform distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec2< T > | vecRand2 (T MinRadius, T MaxRadius)
| Generate a random normalized 2 component vector. It's a spherical uniform distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec3< T > | vecRand3 (T MinRadius, T MaxRadius)
| Generate a random normalized 3 component vector. It's a spherical uniform distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec3< T > | vecRand3 ()
| Generate a random normalized 3 component vector. It's a spherical uniform distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec4< T > | vecRand4 ()
| Generate a random normalized 4 component vector. It's a spherical uniform distribution. (From GLM_GTX_random extension)
template<typename T >
detail::tvec4< T > | vecRand4 (T MinRadius, T MaxRadius)
| Generate a random normalized 4 component vector. It's a spherical uniform distribution. (From GLM_GTX_random extension)

## Detailed Description

GLM_GTX_random extension: Generate random number from varius distribution methods.

## Function Documentation

T glm::gtx::random::signedRand1 | ( | ) |

Generate a random number in the interval [-1, 1], according a linear distribution.

From GLM_GTX_random extension.